echo
echo "Sie sind bei der Installation des Programms \"Steak\"."
echo
echo "Was wollen Sie installieren?"
echo "1) Nur das Programm \"Steak\"."
echo "2) Das Programm \"Steak\" und die grafische Oberflaeche \"Xsteak\" (in \"gtk\")".
echo "3) Exit."

read EINGABE000

case $EINGABE000 in 
##########################################################
    1)
	echo "Jetzt wird das Programm \"Steak\" installiert!"
	make clean
	make
	make install
	;;
##########################################################
    2)
	echo "Jetzt werden die Programme \"Steak\" und \"Xsteak\" installiert!"
	echo "Wenn Sie bei den Fragen auf ENTER druecken, wird "
	echo "automatisch die im Klammer angegebene Antwort genommen."
	echo
	echo
	echo "Bitte geben Sie den Installationsverzeichnis ein! [/usr/local/Steak]"
	read STEAK_INS_VER
	if [ -z $STEAK_INS_VER ]
	then
	    STEAK_INS_VER=/usr/local/Steak
	fi
	XSTEAK_INS_VER=$STEAK_INS_VER/Xsteak
	echo
	echo "Ihre PATH-Variable beinhaltet folgende Verzeichnisse!"
	echo "$PATH"
	echo "Wo soll ein Link zu dem Xsteak-Programm gesetzt werden,"
	echo "damit Sie das Programm aufrufen koennen? [/usr/local/bin]"
	read LINKVERZEICHNIS00	
	if [ -z $LINKVERZEICHNIS00 ]
	then
	    LINKVERZEICHNIS00=/usr/local/bin
	fi



	# steak wird kompiliert!
	make

	# xsteak wird kompiliert!
	
	cd Xsteak/
	( make -f Makefile_gtk_1.2 ) || exit 1
	cd ..

	
	# Jetzt werden die Programme installiert!
	#mkdir "$STEAK_INS_VER" || exit 1
	#mkdir "$XSTEAK_INS_VER" || exit 1
	install -d "$STEAK_INS_VER" 
	install -d "$XSTEAK_INS_VER"

	cp -r Datensatz/ "$STEAK_INS_VER"
	cp mini_steak_icon.xpm pinguin_steak_icon.xpm copyrights.txt help.txt version.txt README README.eng iso2txt poll printbuffer spacefilter .Steakconfig "$STEAK_INS_VER"
	####################
	cp woerterbuch /tmp/woerterbuch$$

	NUMMER=`grep -n "^SteakDIR=.*" woerterbuch | cut -f1 -d:`
	echo "$NUMMER"c"$NUMMER" > /tmp/diff$$
	echo "< SteakDIR=\$HOME/bin/Steak/Datensatz" >> /tmp/diff$$
	echo "---" >> /tmp/diff$$
	echo "> SteakDIR=$STEAK_INS_VER/Datensatz" >> /tmp/diff$$
	patch /tmp/woerterbuch$$ /tmp/diff$$
	
	NUMMER=`grep -n "^BINDIR=.*" /tmp/woerterbuch$$ | cut -f1 -d:`
	echo "$NUMMER"c"$NUMMER" > /tmp/diff$$
	echo "< BINDIR=\$HOME/bin/Steak" >> /tmp/diff$$
	echo "---" >> /tmp/diff$$
	echo "> BINDIR=$STEAK_INS_VER" >> /tmp/diff$$
	patch /tmp/woerterbuch$$ /tmp/diff$$
	cp /tmp/woerterbuch$$ $STEAK_INS_VER/woerterbuch
	
	
	NUMMER=`grep -n "^SteakDIR=.*" $STEAK_INS_VER/.Steakconfig | cut -f1 -d:`
	echo "$NUMMER"c"$NUMMER" > /tmp/diff$$
	echo "< SteakDIR=\$HOME/bin/Steak/Datensatz" >> /tmp/diff$$
	echo "---" >> /tmp/diff$$
	echo "> SteakDIR=$STEAK_INS_VER/Datensatz" >> /tmp/diff$$
	patch $STEAK_INS_VER/.Steakconfig /tmp/diff$$
	rm -f $STEAK_INS_VER/.Steakconfig.orig
	rm /tmp/diff$$ /tmp/woerterbuch$$*

	cd Xsteak/ 
	cp steak.xpm xsteak INSTALL "$XSTEAK_INS_VER" || exit 1
	cd ..


	rm -f $LINKVERZEICHNIS00/xsteak $LINKVERZEICHNIS00/steak $LINKVERZEICHNIS00/woerterbuch

	ln -s $STEAK_INS_VER/woerterbuch $LINKVERZEICHNIS00/woerterbuch
	ln -s $STEAK_INS_VER/woerterbuch $LINKVERZEICHNIS00/steak && echo "Steak wurden erfolgreich installiert."
	ln -s $XSTEAK_INS_VER/xsteak $LINKVERZEICHNIS00/xsteak && echo "Xsteak wurden erfolgreich installiert."
	;;
##########################################################
    3) 
	exit 0
esac
